package com.itbaizhan.travel.controller;


import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * 用于跳转到Thymeleaf页面
 *
 * @author fanfan
 * @version 0.0.1
 */
@Controller
public class PageController {
    /**
     * 访问后台页面
     *
     * @param page 访问路径
     * @return 跳转后台页面
     */
    @RequestMapping("/backstage/{page}")
    public String showPageBackstage(@PathVariable String page) {
        return "/backstage/" + page;
    }

    /**
     * 访问前台页面
     *
     * @param page 访问路径
     * @return 跳转前台页面
     */
    @RequestMapping("/frontdesk/{page}")
    private String showPageFrontdesk(@PathVariable String page) {
        return "/frontdesk/" + page;
    }

    /**
     * 忽略访问项目logo
     */
    @RequestMapping("favicon.ico")
    @ResponseBody
    void returnNoFavicon() {
    }
}

